### Method

# FwupdPlugin Hwids get_chid_keys

since: 1.9.22

#### Declaration [src]

    GPtrArray*
    fu_hwids_get_chid_keys (
      FuHwids* self
    )

#### Description [src]

Returns all the CHID keys added by fu_hwids_add_chid().

Available since: 1.9.22

#### Return value

Type: An array of `utf8`

IDs.

The caller of the method takes ownership of the data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.